Data Structures | Defines | Typedefs | Variables

# autoreplace_base.h File Reference

Base class for autoreplaces/autorenews. More...

`#include "core/pool_type.hpp"`
`#include "autoreplace_type.h"`
`#include "engine_type.h"`
`#include "group_type.h"`

Go to the source code of this file.

## Data Structures
struct | EngineRenew
| Struct to store engine replacements. More...
## Defines
#define | FOR_ALL_ENGINE_RENEWS_FROM(var, start) FOR_ALL_ITEMS_FROM(EngineRenew, enginerenew_index, var, start)
#define | FOR_ALL_ENGINE_RENEWS(var) FOR_ALL_ENGINE_RENEWS_FROM(var, 0)
## Typedefs
typedef uint16 | EngineRenewID
typedef Pool< EngineRenew, EngineRenewID, 16, 64000 > | EngineRenewPool
| Memory pool for engine renew elements.
## Variables
EngineRenewPool | _enginerenew_pool
| The pool of autoreplace "orders".

## Detailed Description

Base class for autoreplaces/autorenews.

Definition in file autoreplace_base.h.

## Typedef Documentation

typedef Pool<EngineRenew, EngineRenewID, 16, 64000> EngineRenewPool

Memory pool for engine renew elements.

DO NOT USE outside of engine.c. Is placed here so the only exception to this rule, the saveload code, can use it.

Definition at line 27 of file autoreplace_base.h.

## Variable Documentation

EngineRenewPool _enginerenew_pool

The pool of autoreplace "orders".